//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2024 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////
//-----------------------------------------------------------------------------
//----- acrxEntryPoint.h
//-----------------------------------------------------------------------------
#include "StdAfx.h"
#include "resource.h"

//-----------------------------------------------------------------------------
#define szRDS _RXST("")

void createNoteSym();
void editNoteStandard();

//-----------------------------------------------------------------------------
//----- ObjectARX EntryPoint
class CNoteApp : public AcRxArxApp {

public:
	CNoteApp () : AcRxArxApp () {}

	virtual AcRx::AppRetCode On_kInitAppMsg (void *pkt) {
		// TODO: Load dependencies here

		// You *must* call On_kInitAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kInitAppMsg (pkt) ;
		
		// TODO: Add your initialization code here

		return (retCode) ;
	}

	virtual AcRx::AppRetCode On_kUnloadAppMsg (void *pkt) {
		// TODO: Add your code here

		// You *must* call On_kUnloadAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kUnloadAppMsg (pkt) ;

		// TODO: Unload dependencies here

		return (retCode) ;
	}

	virtual void RegisterServerComponents () {
	}


  // - TESTAPP._CREATENOTESYM command (do not rename)
  static void TESTAPP_CREATENOTESYM(void)
  {
    // Add your code for command TESTAPP._NOTE here
    createNoteSym();
  }

  // ----- TESTAPP._NOTELIST command
  static void TESTAPP_NOTESTD(void)
  {
    // Add your code for command TESTAPP._NOTESTD here
    editNoteStandard();
  }
} ;

//-----------------------------------------------------------------------------
IMPLEMENT_ARX_ENTRYPOINT(CNoteApp)

ACED_ARXCOMMAND_ENTRY_AUTO(CNoteApp, TESTAPP, _CREATENOTESYM, CREATENOTESYM, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CNoteApp, TESTAPP, _NOTESTD, NOTESTD, ACRX_CMD_TRANSPARENT, NULL)
