// (C) Copyright 2007 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
//
/////////////////////////////////////////////////////////////////////

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#pragma warning( push )
#pragma warning( disable : 4995)
#include <afxwin.h>
#pragma warning( pop )         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxtempl.h>
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#include <math.h>

#include "acdb.h"
#include "aced.h"
#include "adslib.h"
#include "rxobject.h"
#include "rxregsvc.h"
//#include "rxdlinkr.h"
//#include "rxditer.h"
#include "actrans.h"
#include "aced.h"  // AcEditorReactor + others
#include "adslib.h"
#include "adesk.h"
#include "adeskabb.h"
#include "ol_errno.h"
#include "acgi.h"
#include "acestext.h"
//#include "acdbtol.h"

// DBR files
#include "dbid.h"
#include "dbintar.h"
#include "dbptrar.h"
#include "dbidar.h"
#include "dbidmap.h"
#include "dbsymtb.h"
#include "dbents.h"
#include "dbhatch.h"
#include "dbsol3d.h"
#include "dbbody.h"
#include "dbmtext.h"
#include "dbproxy.h"
//#include "dbautil.h"
#include "dbcurve.h"
#include "dbdict.h"

// Ge Lib
#include "geassign.h"
#include "gegbl.h"
#include "gedblar.h"
#include "gearc3d.h"
#include "gelnsg3d.h"
#include "gepnt3d.h"
#include "gept3dar.h"
#include "gemat3d.h"
#include "gevec3d.h"

//AcadM
//#include "acm.h"

//My project
#include "resourcehelper.h"
#endif // _AFX_NO_AFXCMN_SUPPORT



