//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2024 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __EDITEXT_H
#define __EDITEXT_H

#ifndef __ACM_H
	#error include 'acm.h' before including 'editExt.h' file
#endif

#include "editExt_crx.h"
typedef void (*AcadTaskFCN)(void*);

class AcmCLeader;

class CPlstFltrDlg;


extern "C" ACMSYMBB_ARX_DLLSHARE void initEditExt();
extern "C" ACMSYMBB_ARX_DLLSHARE void releaseEditExt();

#endif // __ENTGEOM_H
