//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2024 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////

#pragma once

// To handle std::string something similar to char* while we do Unicode porting
#ifndef TSTDSTRING

#ifdef AD_UNICODE
#define TSTDSTRING std::wstring
#else
#define TSTDSTRING std::string
#endif

#endif
