//
//  (C) Copyright 2009 by Autodesk, Inc.  All rights reserved.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

#include "micomp.h"
#include "adslib.h"
#include "dbents.h"
#include "dbapserv.h"
#include "math.h"

extern Acad::ErrorStatus postToDb(AcDbEntity* ent, AcDbObjectId& objId);

void folder_main();

Adesk::Boolean createFolders(
  AcDbObjectId *&circleObjId,
  AmiFolderKey *&newFolder1,
  AmiFolderKey *&pNewFolder2);

Adesk::Boolean modifyFolders(
  AcDbObjectId *&circleObjId,
  AmiFolderKey *&pNewFolder1);

Adesk::Boolean nestFolders(
  AmiFolderKey *&pNewFolder1,
  AmiFolderKey *&pNewFolder2,
  AmiFolderDefKey *&pNewFolder3Def,
  AmiFolderKey *&pNewFolder3);

Adesk::Boolean selectionMode(
  AmiFolderKey *&newFolder1,
  AmiFolderDefKey *&newFolder3Def,
  AmiFolderKey *&newFolder3);