//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2024 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __MINDATUM_H
#define __MINDATUM_H

/////////////////////////////////////////////////////////////////////
// standard support for of datum target symboogy 
/////////////////////////////////////////////////////////////////////
class TestDatumStd : public AcmDatumStdISO
{
public:
  ACDB_DECLARE_MEMBERS(TestDatumStd);

  TestDatumStd();
  virtual ~TestDatumStd();
  virtual Acm::ErrorStatus getRevision(CString& rev, Adesk::UInt16& year) const;
  virtual Adesk::Boolean   isCompatibleTo(const AcmStandard* pStd) const;

};                      

#endif // STDGB